package com.microservices.cms.project.mapper;

import com.microservices.cms.project.domain.CmsProject;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 专区对应项目Mapper接口
 *
 * @author otto
 * @date 2023-03-27
 */
@Mapper
public interface CmsProjectMapper {
    /**
     * 查询专区对应项目
     *
     * @param id 专区对应项目主键
     * @return 专区对应项目
     */
    public CmsProject selectCmsProjectById(Long id);

    /**
     * 查询专区对应项目列表
     *
     * @param cmsProject 专区对应项目
     * @return 专区对应项目集合
     */
    public List<CmsProject> selectCmsProjectList(CmsProject cmsProject);

    /**
     * 新增专区对应项目
     *
     * @param cmsProject 专区对应项目
     * @return 结果
     */
    public int insertCmsProject(CmsProject cmsProject);

    /**
     * 修改专区对应项目
     *
     * @param cmsProject 专区对应项目
     * @return 结果
     */
    public int updateCmsProject(CmsProject cmsProject);

    /**
     * 删除专区对应项目
     *
     * @param id 专区对应项目主键
     * @return 结果
     */
    public int deleteCmsProjectById(Long id);

    /**
     * 批量删除专区对应项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsProjectByIds(Long[] ids);

    CmsProject selectCmsProjectByDeptId(Long deptId);

    CmsProject selectCmsProjectByIdentifier(String identifier);
}
